<?php
if (preg_match('/\.(?:css|png|jpg|jpeg|gif)$/', $_SERVER["REQUEST_URI"])) {
    return false;    // serve the requested resource as-is.
}

include 'config/pages.inc.php';

function get_page($page_id) {
    global $pages;
    if(array_key_exists($page_id, $pages))
        return $pages[$page_id];
    else null;
}

$page = filter_input(INPUT_GET,
                     'page',
                     FILTER_CALLBACK,
                     array('options' => 'get_page'));

if ($page==null)
    $page = $pages[$default_page];

$title = $page['title'];
$content = $page['content'];

include 'templates/header.html.php';
include 'templates/menu.html.php';
include "pages/$content";
include 'templates/footer.html.php';
